Skip to main content

Japanese Payment Options


Japanese payment options (JPO) extend the payment card processing features to support payment methods used only in Japan. Japanese issuers, cardholders, merchants, and acquirers recognize payment methods that clarify the nature of a payment. JPO provides for more fine-grained identification of one-time payments and installment payments. You can offer your customers JPO payment methods that they select at the time of purchase.

This feature is supported only for JCN Gateway and .

JPO supports these payment methods:

  • Single payment
  • Bonus payment
  • Installment payment
  • Revolving payment
  • Combination of bonus payment and installment payment

For more information about the Japanese payment options, contact Customer Support of KK (Japan).

Supported Processors

  • JCN Gateway

Processor-Specific Information

JCN Gateway: JPO is supported for transactions that use these payment cards issued in Japan: American Express, Diners Club, JCB, Mastercard, and Visa.

: JPO is supported only for the Sumitomo Mitsui Card Co. acquirer, with transactions that use Visa payment cards issued in Japan.

Prerequisites

  • You have signed a contract with your acquirer.
  • You have contacted your account provider for details about contracts and funding cycles. The funding cycle could differ when using JPO.
  • Card holders who want to use JPO have signed a contract with an issuing bank.
  • You have confirmed payment option availability with your account provider and card holder before implementing one of these payment options.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Single Payment

This section shows you how to process an authorization of a single payment with Japanese payment options (JPO).

Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "jpy"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "japanPaymentOptions": {            "businessName": "我社",            "businessNameAlphaNumeric": "OurStore",            "businessNameKatakana": "わが社の場合"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6842924689096191303059/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6842924689096191303059"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6842924689096191303059/captures"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Auth"  },  "id" : "6842924689096191303059",  "orderInformation" : {    "invoiceDetails" : {      "salesSlipNumber" : "52966"    },    "amountDetails" : {      "authorizedAmount" : "100",      "currency" : "jpy"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "salesSlipNumber" : "52966",    "approvalCode" : "123456",    "cardVerification" : {      "resultCode" : "3"    },    "responseCategoryCode" : "000",    "forwardedAcquirerCode" : "Sumitomo",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "0020230517120109000000000001",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-05-17T03:01:09Z"}

Required Fields

Use these required fields for authorizing a single payment using the JPO method.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.japanPaymentOptions.businessNameBusiness name in kanji characters.
processingInformation.japanPaymentOptions.businessNameAlphaNumeric—
processingInformation.japanPaymentOptions.businessNameKatakana—
processingInformation.japanPaymentOptions.terminalIdRequired for card-present transactions. Unique Japan Credit Card Association (JCCA) terminal identifier that is provided by .

Bonus Payment

This section shows you how to process an authorization of a bonus payment with Japanese payment options (JPO).

Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "jpy"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "japanPaymentOptions": {            "businessName": "我社",            "businessNameAlphaNumeric": "OurStore",            "businessNameKatakana": "わが社の場合",            "paymentMethod": "21"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843556498736135003059/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6843556498736135003059"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843556498736135003059/captures"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Auth"  },  "id" : "6843556498736135003059",  "orderInformation" : {    "invoiceDetails" : {      "salesSlipNumber" : "56307"    },    "amountDetails" : {      "authorizedAmount" : "100",      "currency" : "jpy"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "salesSlipNumber" : "56307",    "approvalCode" : "123456",    "cardVerification" : {      "resultCode" : "3"    },    "responseCategoryCode" : "000",    "forwardedAcquirerCode" : "Sumitomo",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "0020230518053410000000000001",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-05-17T20:34:10Z"}

Required Fields

Use these required fields for authorizing a JPO bonus payment.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.japanPaymentOptions.businessNameBusiness name in kanji characters.
processingInformation.japanPaymentOptions.businessNameAlphaNumeric—
processingInformation.japanPaymentOptions.businessNameKatakana—
processingInformation.japanPaymentOptions.paymentMethodSet this field to 21, 22, 23, or 24.
processingInformation.japanPaymentOptions.terminalIdRequired for card-present transactions. Unique Japan Credit Card Association (JCCA) terminal identifier that is provided by .

Installment Payment

This section shows you how to process an authorization of an installment payment with Japanese payment options (JPO).

Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "jpy"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "japanPaymentOptions": {            "businessName": "我社",            "businessNameAlphaNumeric": "OurStore",            "businessNameKatakana": "わが社の場合",            "firstBusinessMonth": "04",            "installments": "12",            "paymentMethod": "31"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843585327946622203059/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6843585327946622203059"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843585327946622203059/captures"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Auth"  },  "id" : "6843585327946622203059",  "orderInformation" : {    "invoiceDetails" : {      "salesSlipNumber" : "56311"    },    "amountDetails" : {      "authorizedAmount" : "100",      "currency" : "jpy"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "salesSlipNumber" : "56311",    "approvalCode" : "123456",    "cardVerification" : {      "resultCode" : "3"    },    "responseCategoryCode" : "000",    "forwardedAcquirerCode" : "Sumitomo",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "0020230518062213000000000001",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-05-17T21:22:13Z"}

Required Fields

Use these required fields for authorizing a JPO installment payment.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.japanPaymentOptions.businessNameBusiness name in kanji characters.
processingInformation.japanPaymentOptions.businessNameAlphaNumeric—
processingInformation.japanPaymentOptions.businessNameKatakana—
processingInformation.japanPaymentOptions.firstBillingMonthIf you do not specify this field, it is set by default to the number of the next month.
processingInformation.japanPaymentOptions.installmentsNumber of monthly payments.
processingInformation.japanPaymentOptions.paymentMethodSet the value to 61.
processingInformation.japanPaymentOptions.terminalIdRequired for card-present transactions. Unique Japan Credit Card Association (JCCA) terminal identifier that is provided by .

Revolving Payment

This section shows you how to process an authorization of a revolving payment with Japanese payment options (JPO).

Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "jpy"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "japanPaymentOptions": {            "businessName": "我社",            "businessNameAlphaNumeric": "OurStore",            "businessNameKatakana": "わが社の場合",            "firstBusinessMonth": "05",            "installments": "12",            "paymentMethod": "80"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843585327946622203059/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6843585327946622203059"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843585327946622203059/captures"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Auth"  },  "id" : "6843585327946622203059",  "orderInformation" : {    "invoiceDetails" : {      "salesSlipNumber" : "56311"    },    "amountDetails" : {      "authorizedAmount" : "100",      "currency" : "jpy"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "salesSlipNumber" : "56311",    "approvalCode" : "123456",    "cardVerification" : {      "resultCode" : "3"    },    "responseCategoryCode" : "000",    "forwardedAcquirerCode" : "Sumitomo",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "0020230518062213000000000001",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-05-17T21:22:13Z"}

Required Fields

Use these required fields for authorizing a revolving payment using the JPO method.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.japanPaymentOptions.businessNameBusiness name in kanji characters.
processingInformation.japanPaymentOptions.businessNameAlphaNumeric—
processingInformation.japanPaymentOptions.businessNameKatakana—
processingInformation.japanPaymentOptions.firstBillingMonthNumber of the month in which installment payments begin. The default value is the number of the month that follows the transaction date.
processingInformation.japanPaymentOptions.installmentsSet this field to the number of installment payments.
processingInformation.japanPaymentOptions.paymentMethodSet the value to 80.
processingInformation.japanPaymentOptions.terminalIdRequired for card-present transactions. Unique Japan Credit Card Association (JCCA) terminal identifier that is provided by .

Combination Payment

This section shows you how to process an authorization of a combination bonus and installment payments with Japanese payment options (JPO).

Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "jpy"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "japanPaymentOptions": {            "businessName": "我社",            "businessNameAlphaNumeric": "OurStore",            "businessNameKatakana": "わが社の場合",            "firstBusinessMonth": "05",            "installments": "12",            "paymentMethod": "80"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843585327946622203059/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6843585327946622203059"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6843585327946622203059/captures"    }  },  "clientReferenceInformation" : {    "code" : "RTS-Auth"  },  "id" : "6843585327946622203059",  "orderInformation" : {    "invoiceDetails" : {      "salesSlipNumber" : "56311"    },    "amountDetails" : {      "authorizedAmount" : "100",      "currency" : "jpy"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "processorInformation" : {    "salesSlipNumber" : "56311",    "approvalCode" : "123456",    "cardVerification" : {      "resultCode" : "3"    },    "responseCategoryCode" : "000",    "forwardedAcquirerCode" : "Sumitomo",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "0020230518062213000000000001",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-05-17T21:22:13Z"}

Required Fields

Use these required fields for authorizing a combination payment using the JPO method.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.japanPaymentOptions.businessNameBusiness name in kanji characters.
processingInformation.japanPaymentOptions.businessNameAlphaNumeric—
processingInformation.japanPaymentOptions.businessNameKatakana—
processingInformation.japanPaymentOptions.firstBillingMonth—
processingInformation.japanPaymentOptions.installmentsSet this field to the number of monthly installments.
processingInformation.japanPaymentOptions.paymentMethodSet this field to 31, 32, 33, or 34.
processingInformation.japanPaymentOptions.terminalIdRequired for card-present transactions. Unique Japan Credit Card Association (JCCA) terminal identifier that is provided by .

Last published: September 29, 2026